Page MenuHomePhabricator

[AVR] Add PrintMethod for operand memspi
ClosedPublic

Authored by benshi001 on May 4 2022, 3:54 AM.

Diff Detail

Event Timeline

benshi001 created this revision.May 4 2022, 3:54 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 4 2022, 3:54 AM
Herald added subscribers: Jim, hiraditya. · View Herald Transcript
benshi001 requested review of this revision.May 4 2022, 3:54 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 4 2022, 3:54 AM

It is hard to make a test for my change, since operand memspi is used only by the STDSPQRr and STDWSPQRr pseudo instruction. Adding PrintMethod is just for debug purpose, and we should see no pseudo instruction in the final assembly file.

benshi001 added a reviewer: Patryk27.EditedMay 8 2022, 11:40 PM
benshi001 added a subscriber: Patryk27.

@Patryk27 Could you please have a look at this change? I find this bug when debugging your https://reviews.llvm.org/D123528. The STDSPQRr & STDWSPQRr are printed without the offset vaule.

Patryk27 accepted this revision.May 8 2022, 11:44 PM

The TableGen stuff is still dark magic to me, but the change looks easy & reasonable :-)

This revision is now accepted and ready to land.May 8 2022, 11:44 PM

It is hard to make a test for my change, since operand memspi is used only by the STDSPQRr and STDWSPQRr pseudo instructions. Adding PrintMethod is just for debug purpose, and we should see no pseudo instruction in the final assembly file.

This revision was landed with ongoing or failed builds.May 9 2022, 1:32 AM
This revision was automatically updated to reflect the committed changes.